# Created by pyp2rpm-1.0.0
%global pypi_name pip
%define version 6.1.1

Name:           python-pip
Version:        %{version}
Release:        %mkrel 1
Group:          Development/Python
Summary:        pip installs packages. Python packages. An easy_install replacement

License:        MIT
URL:            https://pypi.python.org/pypi/pip
Source0:        https://pypi.python.org/packages/source/p/pip/pip-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools

Requires:       python-setuptools
Requires:       python-pkg-resources

%description
`pip` is a tool for installing and managing Python packages, such as
those found in the `Python Package Index`_. It's a replacement for
easy_install_.

%package -n python3-pip
Summary:        A tool for installing and managing Python3 packages
Group:          Development/Python

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
Requires:  python3-setuptools

%description -n python3-pip
Pip is a replacement for `easy_install
<http://peak.telecommunity.com/DevCenter/EasyInstall>`_.  It uses mostly the
same techniques for finding packages, so packages that were made
easy_installable should be pip-installable as well.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%{__sed} -i '1d' pip/__init__.py

cp -a . %{py3dir}

%build
%{__python} setup.py build
pushd %{py3dir}
%{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}

# Change the name of the python3 pip executable in order to not conflict with
# the python2 executable
mv %{buildroot}%{_bindir}/pip %{buildroot}%{_bindir}/python3-pip

# The install process creates both pip and pip<python_abiversion> that seem to
# be the same. Remove the extra script
pushd %{buildroot}%{_bindir}
%{__rm} -rf pip3*

popd
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# The install process creates both pip and pip-<python_abiversion> that seem to
# be the same. Since removing pip-* also clobbers pip-python3, just remove pip-2*
pushd %{buildroot}%{_bindir}
%{__rm} -rf pip2*


%files
%doc LICENSE.txt PKG-INFO docs
%attr(755,root,root) %{_bindir}/pip
%{python_sitelib}/pip*

%files -n python3-pip
%doc LICENSE.txt PKG-INFO docs
%attr(755,root,root) %{_bindir}/python3-pip
%{python3_sitelib}/pip*



%changelog
* Tue Apr 28 2015 philippem <philippem> 6.1.1-1.mga4
+ Revision: 820816
- update to 6.1.1 fix mga#15748
- correct patch local-dos.patch
- fix CVE-2014-8991 mga#14969

* Sun Dec 01 2013 philippem <philippem> 1.4.1-4.mga4
+ Revision: 554518
- change-match_hostname-to-follow-RFC-6125 (mga#11785)

* Tue Oct 22 2013 umeabot <umeabot> 1.4.1-3.mga4
+ Revision: 543939
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.4.1-2.mga4
+ Revision: 499119
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Sep 23 2013 joequant <joequant> 1.4.1-1.mga4
+ Revision: 484288
- update to 1.4.1

* Fri Jul 26 2013 philippem <philippem> 1.3.1-3.mga4
+ Revision: 458721
- Fix for CVE 2013-2099
- Add Python 3

* Wed May 08 2013 neoclust <neoclust> 1.3.1-2.mga3
+ Revision: 412711
- fix proxy support
- New version ( fix CVE-2013-1888 ) mga #10007)

* Tue Mar 05 2013 neoclust <neoclust> 1.2.1-2.mga3
+ Revision: 401418
- Add missing deps ( mga #9246 )

* Mon Jan 28 2013 joequant <joequant> 1.2.1-1.mga3
+ Revision: 392901
- imported package python-pip

